///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 07.11.2007 Creation time: 14:31:44
//
//  Contents  :
//    This file contains the implementation level of a form and is
//    overwritten automatically by the Xbase++ Form Designer.
//    Be careful when modifying this file since changes may get lost.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _NEWFORM_
#define _NEWFORM_

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

#PRAGMA LIBRARY( "ASCOM10.LIB" )

CLASS _NewForm FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Contained control elements
      VAR tvStyles           
      VAR Static1            
      VAR staBackground      
      VAR staProperties      
      VAR Static2            
      VAR staBGRect          
      VAR staContentRect     
      VAR Static3            
      VAR Static4            
      VAR staCaptionRect     
      VAR Static5            
      VAR staTextColor       
      VAR Static6            
      VAR staFillColor       
      VAR Static7            
      VAR staMinSize         
      VAR Static8            
      VAR staDefSize         
      VAR Static9            
      VAR staContentAlignment
      VAR Static10           
      VAR sleCaption         
      VAR Static11           
      VAR staScaleImage      

      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD _NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   LOCAL aDASize :={513,476}

   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {485,179}, ;
           aSize    TO {0,0}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "8.Arial" } )
   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::XbpDialog:drawingArea:clipChildren := .F.
   ::XbpDialog:clientSize := aDASize
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := "New form"

   ::editControls := {}

   ::tvStyles            := XbpTreeView():new( ::drawingArea, , {9,13}, {215,451}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::tvStyles:tabStop := .T.
   ::tvStyles:hasButtons := .T.
   ::tvStyles:hasLines := .T.

   ::Static1             := XbpStatic():new( ::drawingArea, , {240,291}, {259,172} )
   ::Static1:caption := "Style Image"
   ::Static1:clipSiblings := .T.
   ::Static1:type := XBPSTATIC_TYPE_GROUPBOX

   ::staBackground       := XbpStatic():new( ::Static1, , {14,11}, {232,141}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::staBackground:caption := "Text"
   ::staBackground:clipSiblings := .T.
   ::staBackground:options := 6
   ::staBackground:type := XBPSTATIC_TYPE_RECESSEDBOX

   ::staProperties       := XbpStatic():new( ::drawingArea, , {240,14}, {257,192} )
   ::staProperties:caption := "Style Properties"
   ::staProperties:clipSiblings := .T.
   ::staProperties:type := XBPSTATIC_TYPE_GROUPBOX

   ::Static2             := XbpStatic():new( ::staProperties, , {13,151}, {99,20} )
   ::Static2:caption := "Background Rect.:"
   ::Static2:clipSiblings := .T.
   ::Static2:options := XBPSTATIC_TEXT_VCENTER

   ::staBGRect           := XbpStatic():new( ::staProperties, , {116,151}, {118,20} )
   ::staBGRect:caption := "(unspecified)"
   ::staBGRect:clipSiblings := .T.
   ::staBGRect:options := XBPSTATIC_TEXT_VCENTER

   ::staContentRect      := XbpStatic():new( ::staProperties, , {116,133}, {118,20} )
   ::staContentRect:caption := "(unspecified)"
   ::staContentRect:clipSiblings := .T.
   ::staContentRect:options := XBPSTATIC_TEXT_VCENTER

   ::Static3             := XbpStatic():new( ::staProperties, , {12,133}, {99,20} )
   ::Static3:caption := "Content Rect.:"
   ::Static3:clipSiblings := .T.
   ::Static3:options := XBPSTATIC_TEXT_VCENTER

   ::Static4             := XbpStatic():new( ::staProperties, , {12,114}, {99,20} )
   ::Static4:caption := "Caption Rect.:"
   ::Static4:clipSiblings := .T.
   ::Static4:options := XBPSTATIC_TEXT_VCENTER

   ::staCaptionRect      := XbpStatic():new( ::staProperties, , {116,114}, {118,20} )
   ::staCaptionRect:caption := "(unspecified)"
   ::staCaptionRect:clipSiblings := .T.
   ::staCaptionRect:options := XBPSTATIC_TEXT_VCENTER

   ::Static5             := XbpStatic():new( ::staProperties, , {12,92}, {99,20} )
   ::Static5:caption := "Text Color:"
   ::Static5:clipSiblings := .T.
   ::Static5:options := XBPSTATIC_TEXT_VCENTER

   ::staTextColor        := XbpStatic():new( ::staProperties, , {116,92}, {70,20}, { { XBP_PP_BGCLR, GRA_CLR_BLUE } } )
   ::staTextColor:caption := ""
   ::staTextColor:clipSiblings := .T.
   ::staTextColor:options := XBPSTATIC_TEXT_VCENTER

   ::Static6             := XbpStatic():new( ::staProperties, , {14,71}, {99,20} )
   ::Static6:caption := "Fill Color:"
   ::Static6:clipSiblings := .T.
   ::Static6:options := XBPSTATIC_TEXT_VCENTER

   ::staFillColor        := XbpStatic():new( ::staProperties, , {116,71}, {70,20}, { { XBP_PP_BGCLR, GRA_CLR_RED } } )
   ::staFillColor:caption := ""
   ::staFillColor:clipSiblings := .T.
   ::staFillColor:options := XBPSTATIC_TEXT_VCENTER

   ::Static7             := XbpStatic():new( ::staProperties, , {14,47}, {99,20} )
   ::Static7:caption := "Min. Size:"
   ::Static7:clipSiblings := .T.
   ::Static7:options := XBPSTATIC_TEXT_VCENTER

   ::staMinSize          := XbpStatic():new( ::staProperties, , {116,47}, {118,20} )
   ::staMinSize:caption := "(unspecified)"
   ::staMinSize:clipSiblings := .T.
   ::staMinSize:options := XBPSTATIC_TEXT_VCENTER

   ::Static8             := XbpStatic():new( ::staProperties, , {15,27}, {99,20} )
   ::Static8:caption := "Default Size:"
   ::Static8:clipSiblings := .T.
   ::Static8:options := XBPSTATIC_TEXT_VCENTER

   ::staDefSize          := XbpStatic():new( ::staProperties, , {116,27}, {118,20} )
   ::staDefSize:caption := "(unspecified)"
   ::staDefSize:clipSiblings := .T.
   ::staDefSize:options := XBPSTATIC_TEXT_VCENTER

   ::Static9             := XbpStatic():new( ::staProperties, , {15,7}, {99,20} )
   ::Static9:caption := "Content Alignm.:"
   ::Static9:clipSiblings := .T.
   ::Static9:options := XBPSTATIC_TEXT_VCENTER

   ::staContentAlignment := XbpStatic():new( ::staProperties, , {116,8}, {118,20} )
   ::staContentAlignment:caption := "(unspecified)"
   ::staContentAlignment:clipSiblings := .T.
   ::staContentAlignment:options := XBPSTATIC_TEXT_VCENTER

   ::Static10            := XbpStatic():new( ::drawingArea, , {240,216}, {257,66} )
   ::Static10:caption := "Options"
   ::Static10:clipSiblings := .T.
   ::Static10:type := XBPSTATIC_TYPE_GROUPBOX

   ::sleCaption          := XbpSLE():new( ::Static10, , {63,9}, {184,19}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::sleCaption:tabStop := .T.

   ::Static11            := XbpStatic():new( ::Static10, , {12,8}, {50,20} )
   ::Static11:caption := "Caption:"
   ::Static11:clipSiblings := .T.
   ::Static11:options := XBPSTATIC_TEXT_VCENTER

   ::staScaleImage       := XbpCheckBox():new( ::Static10, , {12,28}, {229,20}, { { XBP_PP_BGCLR, -255 } } )
   ::staScaleImage:caption := "Scale Style Image"
   ::staScaleImage:selection := .T.
   ::staScaleImage:tabStop := .T.
   ::staScaleImage:selected := {|| NIL }

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD _NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::tvStyles:create()

   ::Static1:create()
   ::Static1:StyleClass := "Button"

   ::staBackground:create()

   ::staProperties:create()
   ::staProperties:StyleClass := "Button"

   ::Static2:create()

   ::staBGRect:create()

   ::staContentRect:create()

   ::Static3:create()

   ::Static4:create()

   ::staCaptionRect:create()

   ::Static5:create()

   ::staTextColor:create()

   ::Static6:create()

   ::staFillColor:create()

   ::Static7:create()

   ::staMinSize:create()

   ::Static8:create()

   ::staDefSize:create()

   ::Static9:create()

   ::staContentAlignment:create()

   ::Static10:create()
   ::Static10:StyleClass := "Button"

   ::sleCaption:create()

   ::Static11:create()

   ::staScaleImage:create()


RETURN self

#endif

//EOF
/////