#ifndef __STYLEVIEW_CH__
#define __STYLEVIEW_CH__

// Format of the info tree node array:
// { {<cClass1>,<cPart1>,<nPartId1>,<cState1>,<nStateId1>,<nNodeType1>},;
//   (...)
//   {<cClassX>,<cPartX>,<nPartIdX>,<cStateX>,<nStateIdX>,<nNodeTypeX>} }
// Node types defined
#define CLASS_NODE         1  // <cClass> is valid
#define PART_NODE          2  // <cClass>,<cPart>,<nPartId> are valid
#define STATE_NODE         3  // <cClass>,<nState>,<nStateId> are valid

#define CLASS_NAME         1
#define PART_NAME          2
#define PART_ID            3
#define STATE_NAME         4
#define STATE_ID           5
#define NODE_TYPE          6

#define WINDOW_TITLE       "Xbase++ Style Viewer"

#endif // __STYLEVIEW_CH__